Index: core/kernel/db/cat_dbitem.php
===================================================================
--- core/kernel/db/cat_dbitem.php	(revision 13134)
+++ core/kernel/db/cat_dbitem.php	(working copy)
@@ -92,10 +92,16 @@
 		return $ret;
 	}
 
+	/**
++	 * Assigns primary category for the item
++	 *
++	 * @access public
++	 */
 	function assignPrimaryCategory()
 	{
 		$primary_category = $this->GetDBField('CategoryId') > 0 ? $this->GetDBField('CategoryId') : $this->Application->GetVar('m_cat_id');
 		$this->assignToCategory($primary_category, true);
+		$this->SetDBField('CategoryId', $primary_category); // set primary category in item object
 	}
 
 	function Update($id=null, $system_update=false)
